package cn.iocoder.yudao.module.system.convert.notice;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.notice.vo.group.NoticeGroupCreateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.notice.vo.group.NoticeGroupRespVO;
import cn.iocoder.yudao.module.system.controller.admin.notice.vo.group.NoticeGroupUpdateReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.notice.NoticeGroupDO;
import org.mapstruct.Mapper;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 用户组 Convert
 *

 */
@Mapper
public interface NoticeGroupConvert {

    NoticeGroupConvert INSTANCE = Mappers.getMapper(NoticeGroupConvert.class);

    NoticeGroupDO convert(NoticeGroupCreateReqVO bean);

    NoticeGroupDO convert(NoticeGroupUpdateReqVO bean);

    NoticeGroupRespVO convert(NoticeGroupDO bean);

    List<NoticeGroupRespVO> convertList(List<NoticeGroupDO> list);

    PageResult<NoticeGroupRespVO> convertPage(PageResult<NoticeGroupDO> page);

    @Named("convertList2")
    List<NoticeGroupRespVO> convertList2(List<NoticeGroupDO> list);

}
